@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

/* ============= VARIABLES CSS ============= */
:root {
  --first-color: rgb(119, 52, 183);
  --color-purple-light: #b244e1;
  --color-white-pink: rgb(223, 168, 255);
  --clean-white-purple: #b244e1;
  --text-color-light: rgb(134, 122, 159);
  --scroll-thumb-color: rgb(161, 151, 180);
  --scroll-bar-color: #b244e1;
  --clean-light-gray: rgb(189, 189, 189);
  --color-clean-white: rgb(241, 239, 239);
  --color-white: rgb(255, 255, 255);
  --color-black: rgb(24, 22, 22);
  --color-black-clean: rgb(33, 33, 33);

  --color-me: #ececee;
}

.max-width {
  padding: 0 80px;
  margin: auto;
}

/* ============= MENU NAVBAR ============= */
.nav-bar {
  width: 100%;
  padding: 30px 0;
  font-family: "Ubuntu", sans-serif;
  transition: all 0.3s ease;
  background-color: #292833;
}


.text-me {
  color: #d0d0d0;
}

.nav-bar .max-width {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-bar .logo a {
  color: #4bc7ec;
  font-size: 35px;
  font-weight: 600;
}

/* script js sticky */
.nav-bar.sticky .logo a span {
  color: var(--color-white-pink);
}

.azul {
  color: #ffffff !important;
}

.nav-bar .menu li {
  list-style: none;
  display: inline-block;
}

.nav-bar .menu li a {
  display: block;
  color: #4bc7ec;
  font-size: 18px;
  font-weight: 500;
  margin-left: 25px;
  transition: color 0.3s ease;
} 

.nav-bar .menu li a:hover {
  color: #297594;
}


/* icon menu responsive */
.menu-btn {
  color: #4bc7ec;
  font-size: 23px;
  cursor: pointer;
  display: none;
}

.menu-btn:hover {
  color: #297594;
}

/* ============= HOME SECTION ============= */
.home {
  display: flex;
  background: var(--color-white);
  color: var(--color-white);
  height: 100vh;
  min-height: 500px;
  font-family: "Ubuntu", sans-serif;
}

.home-icon img {
  height: 350px;
  border-radius: 100%;
  position: absolute;
  object-fit: cover;
  border: 1px solid transparent;
  right: 15vh;
  transition: all 0.5s ease;
}

.home-icon img:hover {
  transform: scale(1.1);
}

.home .max-width {
  margin: auto 0 auto 40px;
}

.home .home-content .text-1 {
  font-size: 27px;
  color: var(--color-black-clean);
}

.home .home-content .text-2 {
  font-size: 55px;
  font-weight: 600;
  margin-left: -5px;
  color: var(--color-black-clean);
}

.home .home-content .text-3 {
  font-size: 36px;
  margin: 6px 0;
  color: var(--color-black-clean);
}

.home .home-content .text-3 span {
  color: #4bc7ec;
  font-weight: 500;
}


/* social media icons  */
.social-media {
  margin-top: 30px;
}

.social-media a {
  display: inline-block;
  margin: 9px;
  font-size: 34px;
  color: var(--color-black-clean);
  cursor: pointer;
  margin-right: 15px;
  transition: all 0.5s ease;
}

.typing {
  color: #4bc7ec;
}

.fa-github:hover {
  color: #3e4349;
}

.fa-linkedin:hover {
  color: #0A66C2;
}

.fa-whatsapp:hover {
  color: #00D757;
}

/* ============= ABOUT SECTION/ALL SIMILIAR STYLING ============= */
section {
  padding: 100px 0;
}

.about,
.services,
.skills,
.conquest,
.portfolio,
.contact,
footer {
  font-family: "Poppins", sans-serif;
  background: var(--color-black-clean);
  color: white;
}

.about .about-content,
.services .serv-content,
.skills .skills-content,
.contact .contact-content {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

section .title {
  position: relative;
  text-align: center;
  font-size: 40px;
  font-weight: 500;
  margin: 60px;
  padding-bottom: 20px;
  font-family: "Ubuntu", sans-serif;
}

section .title::after {
  position: absolute;
  bottom: -12px;
  left: 50%;
  font-size: 20px;
  color: var(--first-color);
  padding: 5px;
  background: var(--color-white);
  transform: translateX(-50%);
}

.about .about-content .left {
  width: 40%;
}

.about .about-content .left img {
  height: 380px;
  width: 360px;
  margin-bottom: 100px;
  object-fit: cover;
  border-radius: 100%;
  border: 1px solid transparent;
}

.about .about-content .right {
  width: 50%;
}

.about .about-content .right .text {
  font-size: 25px;
  font-weight: 600;
  margin-bottom: 10px;
}

.about .about-content .right .text span {
  color: var(--first-color);
}

.about .about-content .right p {
  text-align: justify;
}

.about .about-content .right p {
  text-align: justify;
}

.about .about-content .right a {
  display: inline-block;
  background: rgba(0, 0, 255, 0.479);
  color: var(--color-white);
  font-size: 16px;
  font-weight: 400;
  padding: 10px 25px;
  margin-top: 20px;
  border-radius: 30px;
  border: 2px solid rgba(0, 0, 255, 0.479);
  transition: all 0.3s ease;
}

.about .about-content .right a:hover {
  color: rgba(0, 0, 255, 0.479);
  background: none;
}

.services,
.conquest,
.contact {
  color: var(--color-white);
  background: var(--color-black);
}

.services #particles-js {
  position: absolute;
  width: 100%;
  height: 85vh;
}

.services .title::before,
.conquest .title::before,
.contact .title::before {
  background: var(--color-white);
}

.services .serv-content .card {
  width: calc(33% - 20px);
  height: 350px;
  background: var(--color-black-clean);
  text-align: center;
  border-radius: 30px;
  padding: 25px 25px;
  border: 2px solid transparent;
  cursor: pointer;
  transition: all 0.5s ease;
  z-index: 50;
}

.services .serv-content .card:hover {
  transform: scale(1.05) translateY(-5px);
  border: 2px solid #297594;
}

.services .serv-content .card .box {
  transition: all 0.3s ease;
}

.services .serv-content .card i {
  font-size: 32px;
  color: #4bc7ec;
  transition: color 0.3s ease;
}

.services .serv-content .card .text {
  font-size: 25px;
  font-weight: 600;
  color: var(--color-clean-white);
  margin: 10px 0 7px 0;
}

.services .serv-content .card .box p {
  max-width: 100%;
  color: var(--color-clean-white);
}

/* ============= SKILLS SECTION ============= */
.skills .title::after {
  background: #ffe34a;
  color: var(--color-black-clean);
  content: "Tecnologias Premium";
  white-space: nowrap;
}

.skills .skills-content .column {
  width: calc(50% - 30px);
}

.skills .skills-content .left .text {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 10px;
}

.skills .skills-content .left p {
  text-align: justify;
}

.skills .skills-content .right .bars {
  margin-bottom: 15px;
}

.skills .skills-content .right .info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  margin-bottom: 16px;
}

.info img {
  width: 94px;
}

.skills .skills-content .right span {
  font-weight: 500;
  font-size: 18px;
}

.skills .skills-content .right .line {
  height: 7px;
  width: 100%;
  border-radius: 20px;
  background: #ffe34a;
  position: relative;
}

.skills .skills-content .right .line::before {
  content: "";
  position: absolute;
  height: 100%;
  left: 0;
  top: 0;
  border-radius: 20px;

  background: #ffe34a;
}

.skills-content .right .html::before {
  width: 100%;
}

.skills-content .right .css::before {
  width: 70%;
}

.skills-content .right .bootstrap::before {
  width: 50%;
}

.skills-content .right .js::before {
  width: 30%;
}

.skills-content .right .react::before {
  width: 5%;
}

.skills-content .right .sql::before {
  width: 5%;
}

.text-me {
  font-size: 16px;
  color: white;
}

/* ============= CONQUEST SECTION ============= */
.conquest {
  background: var(--color-black);
  padding: 20px;
}


.conquest .carousel .card {
  background: var(--color-black-clean);
  border: 2px solid transparent;
  border-radius: 30px;
  padding: 30px 45px;
  margin: 0;
  transition: all 0.5s ease;
}

.conquest .carousel .card:hover {
  border: 2px solid rgba(0, 0, 255, 0.479);
}

.conquest .carousel .card .box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transition: all 0.3s ease-in-out;
}

.conquest .carousel .card:hover .box {
  transform: scale(1.06);
}

.conquest .carousel .card img {
  height: auto;
  max-width: 100%;
}

.owl-dots {
  text-align: center;
  margin-top: 20px;
}

.owl-dot {
  height: 13px;
  width: 13px;
  margin: 0 5px;
  outline: none !important;
  border-radius: 50%;
  border: 2px solid var(--color-purple-light) !important;
  transition: all 0.3s ease;
}

.owl-dot.active {
  width: 35px;
  border-radius: 14px;
}

.owl-dot.active,
.owl-dot:hover {
  background: var(--color-purple-light) !important;
}

/* ============= PROJECT SECTION ============= */

.portfolio-container {
  overflow: initial;
  max-width: 768px;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
  top: 0px;
}

.portfolio-content {
  display: grid;
  gap: 1.5rem;
  padding: 0 1.5rem;
}

.portfolio-img {
  width: 300px;
  margin-bottom: 10px;
  border-radius: 0.5rem;
  justify-self: center;
}

.portfolio-title {
  font-size: 1.125rem;
  margin-bottom: 0.5rem;
}

.portfolio-description {
  margin-bottom: 0.75rem;
}

.portfolio-button {
  display: inline-block;
  background: var(--first-color);
  color: var(--color-white);
  font-weight: 500;
  padding: 10px 15px;
  margin-top: 10px;
  border-radius: 30px;
  border: 2px solid var(--first-color);
  transition: all 0.3s ease;
}

.portfolio-button:hover {
  color: var(--first-color);
  background: none;
}

.button-icon {
  font-size: 17px;
}

.swiper-button-prev::after,
.swiper-button-next::after {
  content: "";
}

.swiper-portfolio-icon {
  font-size: 2rem;
  color: var(--first-color);
}

.swiper-button-prev {
  left: -0.5rem;
}

.swiper-button-next {
  right: -0.5rem;
  margin-right: -1.4rem;
}

.portfolio-container .swiper-pagination {
  bottom: 2.5rem;
}

.swiper-button-prev,
.swiper-button-next {
  outline: none;
}

/* ============= CONTACT SECTION ============= */

.contact .contact-content .column {
  width: calc(50% - 30px);
}

.contact .contact-content .text {
  font-size: 26px;
  font-weight: 600;
  margin-bottom: 10px;
  color: #4bc7ec;
}

.contact .contact-content .left p {
  text-align: justify;
}

.contact .contact-content .left .icons {
  margin: 10px 0;
}

.contact .contact-content .right {
  margin-bottom: 210px;
}

.contact .contact-content .row {
  display: flex;
  height: 65px;
  align-items: center;
}

.contact .contact-content .row .info {
  margin-left: 25px;
}

.contact .contact-content .row i {
  font-size: 20px;
  color: #4bc7ec;
}

.contact .contact-content .info .head {
  font-weight: 500;
}

.contact .contact-content .info .sub-title {
  color: var(--color-clean-white);
}

.contact .contact-content .input-area input:focus,
.contact .contact-content .input-area textarea:focus,
.contact .contact-content .input-area input.active {
  border: 2px solid var(--color-purple-light);
}

.contact .right form .fields {
  display: flex;
}

.contact .right form .field,
.contact .right form .fields .field {
  height: 45px;
  width: 100%;
  margin-bottom: 10px;
}

.contact .right form .textarea {
  height: 80px;
  width: 100%;
}

.contact .right form .textarea {
  height: 80px;
  width: 100%;
}

.contact .right form .name {
  margin-right: 10px;
}

.contact .right form .email {
  margin-left: 10px;
}

.contact .right form .field input,
.contact .right form .textarea textarea {
  height: 100%;
  width: 100%;
  border: 2px solid var(--clean-light-gray);
  border-radius: 10px;
  outline: none;
  padding: 0 15px;
  font-size: 17px;
  font-family: "poppins", sans-serif;
}

.contact .right form .textarea textarea {
  padding-top: 10px;
  resize: none;
}

.contact .right form .button {
  height: 47px;
  width: 170px;
  margin-top: 15px;
}

.contact .right form .button button {
  width: 100%;
  height: 100%;
  border: 2px solid #297594;
  background: #4bc7ec;
  color: var(--color-white);
  font-size: 20px;
  font-weight: 500;
  border-radius: 30px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.contact .right form .button button:hover {
  color: var(--color-white);
  background: #297594;
}

/* ============= FOOTER ============= */
footer {
  background: var(--color-black-clean);
  padding: 17px 23px;
  color: var(--color-white);
  text-align: center;
}

footer span a {
  color: #4bc7ec;
  text-decoration: none;
}

footer span a:hover {
  text-decoration: underline;
}

/* ============= SCROLL UP ============= */
.scrollup {
  position: fixed;
  right: 1rem;
  bottom: -30%;
  background-color: #4bc7ec;
  opacity: 0.9;
  font-size: 1.25rem;
  color: var(--color-white);
  padding: 6px;
  border-radius: 100%;
  z-index: 9999;
  transition: bottom 0.4s, transform 0.4s;
  cursor: pointer;
}

.scrollup:hover {
  transform: translateY(-0.25rem);
}

/* show scroll */
.show-scroll {
  bottom: 3rem;
}

/* ============= SCROLL BAR ============= */
::-webkit-scrollbar {
  width: 0.4rem;
  background-color: black;
  border-radius: 0.5rem;
}

::-webkit-scrollbar-thumb {
  background-color: #297594;
  border-radius: 0.5rem;
}

::-webkit-scrollbar-thumb:hover {
  background-color: #4bc7ec;
}


.box-stacks {
  display: flex;
  flex-direction: row;
  margin-bottom: 32px;
  margin-top: 32px;
}

.stacks {
  display: flex;
  flex-direction: column;
  align-items: center;
}

@media (min-width: 1100px) {
  .box-stacks {
    display: grid;
    grid-template-columns: repeat(7, 1fr); /* 4 itens por linha */
    grid-template-rows: repeat(2, auto); /* 2 linhas */
    gap: 16px; /* Espaçamento entre os itens */
    justify-items: center; /* Centraliza os itens */
  }
}

@media (min-width: 766px) and (max-width: 1099px) {
  .box-stacks {
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* 3 itens por linha */
    grid-template-rows: repeat(2, auto); /* 2 linhas */
    gap: 16px; /* Espaçamento entre os itens */
    justify-items: center; /* Centraliza os itens */
  }
}

@media (max-width: 799px) {
  .box-stacks {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px; /* Espaçamento entre os itens */
    justify-items: center; /* Centraliza os itens */
  }
}

.info2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100px;
  margin: 24px;
}